// .top-menu-fill {
//     width: 100%;
//     box-shadow: 0 2px 5px grey;
//     position: sticky;
//     top: 0;
//     z-index: 90;
//     background-color: white;
// }

.top-menu-fill {
    width: 100%;
    box-shadow: 0 2px 5px grey;
    z-index: 90;
    background-color: white;

    position: sticky;
	top: 0; left: 0;
    transition: all .3s ease;
    
    &.out {
        transform: translateY(-90%);
    }
}

.top-menu {
    height: 84px;
}

.search-wrapper {
    position: relative;
    width: 50%;
    max-width: 320px;
}

.flaticon-magnifier {
    position: absolute;
    height: 100%;
    top: 14%;
    right: 3%;
    font-size: 2em;
}

.flaticon-magnifier::before {
    font-size: 16px;
    color: $primary-bg-color;
    vertical-align: middle;
}

.top-menu__search {
    width: 100%;
    height: 47px !important;
    border-radius: 0 !important;
    border: 0.5px solid gray;
    box-sizing: border-box !important;
}

.top-menu-list {
    position: relative;
    height: 100%;
    width: 25%;
    padding-right: 10px;
}

.top-menu-links {
    width: 100%;
    height: 315px;
    position: absolute;
    right: 0;
    top: 84px;
    padding-right: 10px;
    background-color: $secondary-bg-color;
    z-index: 999;

    .list-item__link {
        font-size: 14px;
        text-transform: uppercase;
        color: #b8b8b8;
        text-decoration: none;
    }
}

.top-menu-list__links--visibility {
    visibility: hidden;
}

.list-item {
    text-align: end;
    width: 80%;
}

.list-item:hover {
    font-weight: 700;
    border-bottom: 1px solid #b8b8b8;
    cursor: pointer;
}

.top-menu-links__item--active {
    font-weight: 700;
    border-bottom: 1px solid #b8b8b8;
}

.top-menu-list__btn {
    font-size: 29px;

    .fa-close {
        color: white;
    }

    .top-menu-list__btn--active {
        display: none;
        vertical-align: middle;
    }
}

.menu-opened {
    background-color: $secondary-bg-color;
}



@media (min-width: 1200px){
    .top-menu-list {
        position: inherit;
        height: 100%;
        width: 50%;
        padding-right: 0;
    }

    .top-menu-links {
        width: 100%;
        height: 100%;
        position: inherit;
        right: 0;
        top: 0;
        padding-right: 0;
        background-color: transparent;
        margin: 0;
    
        .list-item__link {
            text-transform: uppercase;
            color: $primary-bg-color;
            // display: table-cell;
            // vertical-align: middle;
        }
    }

    .top-menu-links__item {
        font-weight: 700;
        width: initial;
        height: 100%;
        border: 4px solid transparent;
        padding: 0 8px;
        vertical-align: middle;
        display: inline-block;
        line-height: 77px;

        &:hover {
            border: 4px solid $primary-color;
            border-top: 4px solid $primary-bg-color;
            background-color: $primary-color;
        
            .list-item__link {
                color: white;
            }
        }
    }

    

    .top-menu-links__item--active {
        color: white;
        background-color: $primary-color;
        border-top: 4px solid $primary-bg-color;

        .list-item__link {
            color: white;
        }
    }

    .top-menu-list__links--visibility {
        visibility: visible;
    }

    .top-menu-list__btn {
        display: none;
    }
}

@media (max-width: 439px) {
    .search-wrapper {
        width: 64%;
    }

    .top-menu-list {
        width: 35%;
    }
}